:root {
    --primary-color: #333;
    --secondary-color: #555;
    --tertiary-color: #9e9e9e;
    --background-color: #f9f9f9;
    --text-color: #333;
    --font-family: 'Roboto-Mono-Variable', sans-serif;
}

@font-face {
    font-family: "Roboto-Mono-Variable";
    src: url(../fonts/RobotoMono-VariableFont_wght.ttf) format("truetype");
    font-weight: 100 900;
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: "Roboto-Mono-Variable", Arial, Helvetica, sans-serif;
    scroll-behavior: smooth;
}

body {
    background-color: var(--background-color);
    padding: 10px;
}

h2 {
    font-size: 50px;
    line-height: .95;
    font-weight: 400;
    text-transform: uppercase;
    text-wrap: balance;
}

@media screen and (max-width: 600px) {
    h2 {
        font-size: 16px;
    }

    h3 {
        font-size: 12px;
    }

    p {
        font-size: 10px;
    }

}

h3 {
    font-size: 14px;
    font-weight: 400;
    text-transform: uppercase;
}

a {
    color: var(--text-color);
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}

p,
li {
    font-size: 12px;
    line-height: 1;
    color: var(--text-color);
}

li {
    list-style-position: inside;
}

.grey {
    color: var(--tertiary-color);
}


nav {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
}

.personal-info {
    max-width: 80vw;
}

.logo-container img {
    height: 25vh;
    width: auto;
}

@media screen and (max-width: 600px) {
    .logo-container img {
        height: 15vh;
    }

}

#clients {
    padding-top: 4vh;
    padding-bottom: 4vh;
}

#cta {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 2vh;
    padding-top: 4vh;
    padding-bottom: 4vh;
}

.cta-button {
    border: 1px solid var(--primary-color);
    border-radius: 50px;
    padding: 10px 20px;
    font-size: 14px;
    text-transform: uppercase;
    cursor: pointer;
}

.cta-button:hover {
    background-color: var(--primary-color);
    color: white;
    text-decoration: none !important;
}

.selected-projects-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(325px, 1fr));
    column-gap: 5px;
}

.project-chapter {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(650px, 1fr));
    column-gap: 5px;
    row-gap: 50px;
    margin-top: 4vh;
    margin-bottom: 200px;
}

@media screen and (max-width: 600px) {
    .project-chapter {
        grid-template-columns: 1fr;
    }

}

.project-thumb {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.project-thumb img,
.project-thumb video {
    width: 100%;
    height: auto;
    max-height: 80vh;
    object-fit: cover;
    display: block;
    cursor: pointer;
}

#back-to-top {
    display: none;
    position: fixed;
    bottom: 20px;
    left: 20px;
    z-index: 1000;
    background-color: var(--background-color);
    border: none;
    width: fit-content;
    height: fit-content;
    padding: 10px;
    cursor: pointer;

    p {
        color: var(--primary-color);
        text-transform: uppercase;
    }
}

.project-info {
    padding-top: 10px;
    text-align: center;
}

.project-comment {
    text-align: center;
    color: var(--secondary-color);
}

/* lightbox */
#lightbox {
    position: fixed;
    inset: 0;
    display: none;
    z-index: 9999;
    width: 100%;
    margin: auto 0;
    padding: 20px;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    &::before {
        content: '';
        position: absolute;
        inset: 0;
        backdrop-filter: blur(10px);
        background: rgba(0, 0, 0, 0.5);
        z-index: -1;
    }

    .lightbox-img {
        display: flex;
        align-items: center;
        justify-content: center;
        height: 90vh;
        width: 90vw;

        img,
        video {
            width: 100%;
            height: 100%;
            object-fit: contain;
        }
    }

    .lightbox-info {
        text-align: center;
        pointer-events: none;
        padding: 5px;

        h3,
        .project-comment {
            color: white;
            display: block;
        }
    }
}

#footer {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(100px, 1fr));
    padding-bottom: 50px;
}

.footer-logos {
    margin-top: 5vh;
    grid-column: span 4;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(100px, 1fr));
    gap: 5vw;

    img {
        width: 100%;
        height: auto;
        object-fit: contain;
    }
}

.imprint,
.privacy p,
li {
    max-width: 50vw;
    margin-bottom: 20px;
}